JavaScript/jQuery Chart - OData Service

To bind the Chart to data provided by an OData service, use the ODataStore.

index.js
  • $(function() {
  • $("#chartContainer").dxChart({
  • dataSource: new DevExpress.data.DataSource({
  • store: {
  • type: 'odata',
  • url: 'https://www.example.com/dataservices/odata/targetData',
  • key: 'Id'
  • },
  • paginate: false
  • }),
  • // ...
  • });
  • });

As you may notice, in the previous code, the ODataStore is not declared explicilty. Instead, it is wrapped in the DataSource instance. That is because the Chart requires pagination to be off in order to prevent data from partitioning. Other than that, the DataSource provides wide data-processing capabilities. For example, it can filter data.

index.js
  • $(function() {
  • $("#chartContainer").dxChart({
  • dataSource: new DevExpress.data.DataSource({
  • store: {
  • type: 'odata',
  • url: 'https://www.example.com/dataservices/odata/targetData',
  • key: 'Id'
  • },
  • paginate: false,
  • // Take summer months only
  • filter: [
  • ['Id', '>=', 6],
  • ['Id', '<=', 8]
  • ]
  • }),
  • // ...
  • });
  • });

View Demo

See Also

Vue Chart - OData Service

To bind the Chart to data provided by an OData service, use the ODataStore.

App.vue
  • <template>
  • <DxChart :data-source="chartDataSource">
  • <!-- ... -->
  • </DxChart>
  • </template>
  •  
  • <script>
  • import DxChart from 'devextreme-vue/chart';
  • import 'devextreme/data/odata/store';
  • import DataSource from 'devextreme/data/data_source';
  •  
  • const chartDataSource = new DataSource({
  • store: {
  • type: 'odata',
  • url: 'https://www.example.com/dataservices/odata/targetData',
  • key: 'Id'
  • },
  • paginate: false
  • });
  •  
  • export default {
  • components: {
  • DxChart
  • },
  • data() {
  • return {
  • chartDataSource
  • }
  • }
  • }
  • </script>

As you may notice, in the previous code, the ODataStore is not declared explicilty. Instead, it is wrapped in the DataSource instance. That is because the Chart requires pagination to be off in order to prevent data from partitioning. Other than that, the DataSource provides wide data-processing capabilities. For example, it can filter data.

App.vue
  • <template>
  • <DxChart :data-source="chartDataSource">
  • <!-- ... -->
  • </DxChart>
  • </template>
  •  
  • <script>
  • import DxChart from 'devextreme-vue/chart';
  • import 'devextreme/data/odata/store';
  • import DataSource from 'devextreme/data/data_source';
  •  
  • const chartDataSource = new DataSource({
  • store: {
  • type: 'odata',
  • url: 'https://www.example.com/dataservices/odata/targetData',
  • key: 'Id'
  • },
  • paginate: false,
  • // Take summer months only
  • filter: [
  • ['Id', '>=', 6],
  • ['Id', '<=', 8]
  • ]
  • });
  •  
  • export default {
  • components: {
  • DxChart
  • },
  • data() {
  • return {
  • chartDataSource
  • }
  • }
  • }
  • </script>

View Demo

See Also

Angular Chart - OData Service

To bind the Chart to data provided by an OData service, use the ODataStore.

app.component.html
app.component.ts
app.module.ts
  • <dx-chart [dataSource]="chartDataSource">
  • <!-- ... -->
  • </dx-chart>
  • import { Component } from '@angular/core';
  • import 'devextreme/data/odata/store';
  • import DataSource from 'devextreme/data/data_source';
  •  
  • @Component({
  • selector: 'app-root',
  • templateUrl: './app.component.html',
  • styleUrls: ['./app.component.css']
  • })
  • export class AppComponent {
  • chartDataSource = new DataSource({
  • store: {
  • type: 'odata',
  • url: 'https://www.example.com/dataservices/odata/targetData',
  • key: 'Id'
  • },
  • paginate: false
  • });
  • }
  • import { BrowserModule } from '@angular/platform-browser';
  • import { NgModule } from '@angular/core';
  • import { AppComponent } from './app.component';
  •  
  • import { DxChartModule } from 'devextreme-angular';
  •  
  • @NgModule({
  • declarations: [
  • AppComponent
  • ],
  • imports: [
  • BrowserModule,
  • DxChartModule
  • ],
  • providers: [ ],
  • bootstrap: [AppComponent]
  • })
  • export class AppModule { }

As you may notice, in the previous code, the ODataStore is not declared explicilty. Instead, it is wrapped in the DataSource instance. That is because the Chart requires pagination to be off in order to prevent data from partitioning. Other than that, the DataSource provides wide data-processing capabilities. For example, it can filter data.

app.component.html
app.component.ts
app.module.ts
  • <dx-chart [dataSource]="chartDataSource">
  • <!-- ... -->
  • </dx-chart>
  • import { Component } from '@angular/core';
  • import 'devextreme/data/odata/store';
  • import DataSource from 'devextreme/data/data_source';
  •  
  • @Component({
  • selector: 'app-root',
  • templateUrl: './app.component.html',
  • styleUrls: ['./app.component.css']
  • })
  • export class AppComponent {
  • chartDataSource = new DataSource({
  • store: {
  • type: 'odata',
  • url: 'https://www.example.com/dataservices/odata/targetData',
  • key: 'Id'
  • },
  • paginate: false,
  • // Take summer months only
  • filter: [
  • ['Id', '>=', 6],
  • ['Id', '<=', 8]
  • ]
  • });
  • }
  • import { BrowserModule } from '@angular/platform-browser';
  • import { NgModule } from '@angular/core';
  • import { AppComponent } from './app.component';
  •  
  • import { DxChartModule } from 'devextreme-angular';
  •  
  • @NgModule({
  • declarations: [
  • AppComponent
  • ],
  • imports: [
  • BrowserModule,
  • DxChartModule
  • ],
  • providers: [ ],
  • bootstrap: [AppComponent]
  • })
  • export class AppModule { }

View Demo

See Also